“You don’t have permission to do that.”

 “You don’t have permission to do that.” – M-am confruntat de o o gramada de ori in ultima vreme cu mesajul asta – si pe wp 2.0 si pe 2.1 si pe 2.2.

Un pic de google si solutia vine in felul urmator: cautati fisierul de mai jos, si la linia 295 o sa aveti ceva de genul:

wp-includes/pluggable.php

$cookie = explode('; ', urldecode(empty($_POST['cookie']) ? $_GET['cookie'] : $_POST['cookie']));
// AJAX scripts must pass cookie=document.cookie
foreach ( $cookie as $tasty ) {
if ( false !== strpos($tasty, USER_COOKIE) )
$user = urldecode(substr(strstr($tasty, '='), 1)); // Nasty double encoding
if ( false !== strpos($tasty, PASS_COOKIE) )
$pass = urldecode(substr(strstr($tasty, '='), 1));
}

Comentati toata sectiunea, // in fata fiecarui rand. Inlocuiti cu:

$user = $_COOKIE[USER_COOKIE];
$pass = $_COOKIE[PASS_COOKIE];

Stiu ca nu e cpanel tutorial, dar presimt ca nu o sa stau eu de cautat bugs in wordpress, so enjoy.

Leave a Reply

Your email address will not be published. Required fields are marked *

CommentLuv badge